The Ookla Speed Test requires at least version 8 of Flash.Please update your client.